<div class="p-6 space-y-4">
@if ($showCreateModal)
        <x-wireui:modal-card title="{{ $userId ? '編輯使用者' : '新增使用者' }}" blur wire:model.defer="showCreateModal">
            <div class="space-y-4">
                <x-wireui:input label="名稱" wire:model.defer="name" />

                <x-wireui:input label="Email" wire:model.defer="email" />

                <x-wireui:select
                    label="角色"
                    wire:model.defer="selectedRoles"
                    placeholder="選擇角色"
                    multiselect
                    option-label="label"
                    option-value="value"
                    :options="$roles->map(fn($p) => ['value' => $p->id, 'label' => $p->name])->toArray()"
                />
            </div>

            <x-slot name="footer">
                <div class="flex justify-center gap-2">
                    <x-wireui:button primary label="{{__('users.cancel')}}" x-on:click="$dispatch('close')" />
                    <x-wireui:button primary label="{{__('users.submit')}}" wire:click="save" />
                </div>
            </x-slot>
        </x-wireui:modal-card>
    @endif
</div>